<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.automation-workspace.dialog.title.squash-tf'"
  [dialogId]="'squash-tf-dialog'"
>
  <sqtm-core-dialog-body>
    <div class="full-height full-width">
      <div class="flex-row m-b-10">
        <i
          nz-icon
          class="sqtm-core-icon"
          nzType="info-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#1890FF'"
        ></i>
        <span>{{
          'sqtm-core.automation-workspace.dialog.message.squash-tf' | translate
        }}</span>
      </div>

      <div
        style="
          display: grid;
          grid-template-columns: max-content auto;
          grid-row-gap: 10px;
          grid-column-gap: 10px;
        "
      >
        <sqtm-core-label
          [text]="'sqtm-core.entity.test-case.script-auto' | translate"
        >
        </sqtm-core-label>
        <sqtm-core-editable-ta-test
          #taTestField
          [editable]="canEditScript()"
          [value]="data.scriptAuto"
          [testCaseId]="data.testCaseId"
          [taServerId]="data.taServerId"
          [testAutomationServerKind]="data.testAutomationServerKind"
          (confirmEvent)="changeTaScript($event)"
        ></sqtm-core-editable-ta-test>

        <sqtm-core-label
          [text]="'sqtm-core.entity.test-case.uuid.label' | translate"
        >
        </sqtm-core-label>
        <div class="flex-row">
          <p
            class="uuid-field"
            [attr.data-test-field-id]="'test-case-automation-uuid'"
            nz-tooltip
            [sqtmCoreLabelTooltip]
            nz-paragraph
            [(nzContent)]="data.uuid"
          ></p>
          <p
            class="uuid-copy"
            nz-paragraph
            nzCopyable
            [nzCopyIcons]="[
              'sqtm-core-generic:copy',
              'sqtm-core-generic:confirm'
            ]"
            [nzCopyText]="data.uuid"
          ></p>
        </div>

        @if (data.conflictAssociation && data.conflictAssociation !== '') {
          <a (click)="openConflictAssociationDialog()">{{
            'sqtm-core.automation-workspace.programmer-view.script-conflict'
              | translate
          }}</a>
        }
      </div>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      style="margin-left: 5px"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
